gnutls_sign_get_oid(3)

NAME
gnutls_sign_get_oid - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_sign_get_oid(gnutls_sign_algorithm_t sign);

ARGUMENTS

gnutls_sign_algorithm_t sign
    is a sign algorithm

DESCRIPTION
Convert a gnutls_sign_algorithm_t value to its object identifier.

RETURNS
a string that contains the object identifier of the specified sign algorithm, or NULL.

SINCE
3.4.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/